Index: TXM/trunk/org.txm.libs.batik/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.batik/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.batik/META-INF/MANIFEST.MF	(revision 3628)
@@ -1,21 +1,6 @@
 Manifest-Version: 1.0
 Bundle-SymbolicName: org.txm.libs.batik
-Export-Package: java_cup.runtime,
- javax.xml,
- javax.xml.datatype,
- javax.xml.namespace,
- javax.xml.parsers,
- javax.xml.stream,
- javax.xml.stream.events,
- javax.xml.stream.util,
- javax.xml.transform,
- javax.xml.transform.dom,
- javax.xml.transform.sax,
- javax.xml.transform.stax,
- javax.xml.transform.stream,
- javax.xml.validation,
- javax.xml.xpath,
- org.apache.batik,
+Export-Package: org.apache.batik,
  org.apache.batik.anim,
  org.apache.batik.anim.dom,
  org.apache.batik.anim.timing,
@@ -85,118 +70,9 @@
  org.apache.batik.w3c.dom,
  org.apache.batik.w3c.dom.events,
  org.apache.batik.xml,
- org.apache.bcel,
- org.apache.bcel.classfile,
- org.apache.bcel.generic,
- org.apache.bcel.util,
- org.apache.bcel.verifier,
- org.apache.bcel.verifier.exc,
- org.apache.bcel.verifier.statics,
- org.apache.bcel.verifier.structurals,
- org.apache.commons.io,
- org.apache.commons.io.filefilter,
- org.apache.commons.io.input,
- org.apache.commons.io.output,
- org.apache.commons.logging,
- org.apache.commons.logging.impl,
- org.apache.regexp,
- org.apache.xalan,
- org.apache.xalan.client,
- org.apache.xalan.extensions,
- org.apache.xalan.lib,
- org.apache.xalan.lib.sql,
- org.apache.xalan.processor,
- org.apache.xalan.res,
- org.apache.xalan.serialize,
- org.apache.xalan.templates,
- org.apache.xalan.trace,
- org.apache.xalan.transformer,
- org.apache.xalan.xslt,
- org.apache.xalan.xsltc,
- org.apache.xalan.xsltc.cmdline,
- org.apache.xalan.xsltc.cmdline.getopt,
- org.apache.xalan.xsltc.compiler,
- org.apache.xalan.xsltc.compiler.util,
- org.apache.xalan.xsltc.dom,
- org.apache.xalan.xsltc.runtime,
- org.apache.xalan.xsltc.runtime.output,
- org.apache.xalan.xsltc.trax,
- org.apache.xalan.xsltc.util,
- org.apache.xml.dtm,
- org.apache.xml.dtm.ref,
- org.apache.xml.dtm.ref.dom2dtm,
- org.apache.xml.dtm.ref.sax2dtm,
- org.apache.xml.res,
- org.apache.xml.serializer,
- org.apache.xml.serializer.dom3,
- org.apache.xml.serializer.utils,
- org.apache.xml.utils,
- org.apache.xml.utils.res,
- org.apache.xmlcommons,
- org.apache.xmlgraphics.fonts,
- org.apache.xmlgraphics.image,
- org.apache.xmlgraphics.image.codec.png,
- org.apache.xmlgraphics.image.codec.tiff,
- org.apache.xmlgraphics.image.codec.util,
- org.apache.xmlgraphics.image.loader,
- org.apache.xmlgraphics.image.loader.cache,
- org.apache.xmlgraphics.image.loader.impl,
- org.apache.xmlgraphics.image.loader.impl.imageio,
- org.apache.xmlgraphics.image.loader.pipeline,
- org.apache.xmlgraphics.image.loader.spi,
- org.apache.xmlgraphics.image.loader.util,
- org.apache.xmlgraphics.image.rendered,
- org.apache.xmlgraphics.image.writer,
- org.apache.xmlgraphics.image.writer.imageio,
- org.apache.xmlgraphics.image.writer.internal,
- org.apache.xmlgraphics.io,
- org.apache.xmlgraphics.java2d,
- org.apache.xmlgraphics.java2d.color,
- org.apache.xmlgraphics.java2d.color.profile,
- org.apache.xmlgraphics.java2d.ps,
- org.apache.xmlgraphics.ps,
- org.apache.xmlgraphics.ps.dsc,
- org.apache.xmlgraphics.ps.dsc.events,
- org.apache.xmlgraphics.ps.dsc.tools,
- org.apache.xmlgraphics.util,
- org.apache.xmlgraphics.util.dijkstra,
- org.apache.xmlgraphics.util.i18n,
- org.apache.xmlgraphics.util.io,
- org.apache.xmlgraphics.util.uri,
- org.apache.xmlgraphics.xmp,
- org.apache.xmlgraphics.xmp.merge,
- org.apache.xmlgraphics.xmp.schemas,
- org.apache.xmlgraphics.xmp.schemas.pdf,
- org.apache.xpath,
- org.apache.xpath.axes,
- org.apache.xpath.compiler,
- org.apache.xpath.domapi,
- org.apache.xpath.functions,
- org.apache.xpath.jaxp,
- org.apache.xpath.objects,
- org.apache.xpath.operations,
- org.apache.xpath.patterns,
- org.apache.xpath.res,
- org.w3c.css.sac,
- org.w3c.css.sac.helpers,
- org.w3c.dom,
- org.w3c.dom.bootstrap,
- org.w3c.dom.css,
- org.w3c.dom.events,
- org.w3c.dom.html,
- org.w3c.dom.ls,
- org.w3c.dom.ranges,
- org.w3c.dom.smil,
- org.w3c.dom.stylesheets,
- org.w3c.dom.svg,
- org.w3c.dom.traversal,
- org.w3c.dom.views,
- org.w3c.dom.xpath,
- org.xml.sax,
- org.xml.sax.ext,
- org.xml.sax.helpers
+ org.w3c.dom.svg
 Bundle-Name: Batik
-Bundle-Version: 1.14
+Bundle-Version: 1.14.0
 Bundle-ClassPath: .,
  batik-anim-1.14.jar,
  batik-awt-util-1.14.jar,
@@ -221,15 +97,14 @@
  commons-logging-1.0.4.jar,
  serializer-2.7.2.jar,
  xalan-2.7.2.jar,
- xml-apis-1.4.01.jar,
- xml-apis-ext-1.3.04.jar,
  xmlgraphics-commons-2.6.jar,
  batik-svggen-1.14.jar,
- batik-transcoder-1.14.jar
+ batik-transcoder-1.14.jar,
+ xml-apis-ext-1.3.04.jar
 Require-Bundle: org.apache.xerces;bundle-version="2.9.0";visibility:=r
  eexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: https://xmlgraphics.apache.org/batik/
 Automatic-Module-Name: org.txm.libs.batik
 
Index: TXM/trunk/org.txm.libs.batik/.classpath
===================================================================
--- TXM/trunk/org.txm.libs.batik/.classpath	(revision 3627)
+++ TXM/trunk/org.txm.libs.batik/.classpath	(revision 3628)
@@ -1,5 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
+	<classpathentry exported="true" kind="lib" path="xml-apis-ext-1.3.04.jar"/>
 	<classpathentry exported="true" kind="lib" path="batik-svggen-1.14.jar"/>
 	<classpathentry exported="true" kind="lib" path="batik-transcoder-1.14.jar"/>
 	<classpathentry exported="true" kind="lib" path="batik-anim-1.14.jar"/>
@@ -25,8 +26,6 @@
 	<classpathentry exported="true" kind="lib" path="commons-logging-1.0.4.jar"/>
 	<classpathentry exported="true" kind="lib" path="serializer-2.7.2.jar"/>
 	<classpathentry exported="true" kind="lib" path="xalan-2.7.2.jar"/>
-	<classpathentry exported="true" kind="lib" path="xml-apis-1.4.01.jar"/>
-	<classpathentry exported="true" kind="lib" path="xml-apis-ext-1.3.04.jar"/>
 	<classpathentry exported="true" kind="lib" path="xmlgraphics-commons-2.6.jar"/>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
 	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>

Index: TXM/trunk/org.txm.libs.office/.classpath
===================================================================
--- TXM/trunk/org.txm.libs.office/.classpath	(revision 3627)
+++ TXM/trunk/org.txm.libs.office/.classpath	(revision 3628)
@@ -1,49 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con"
-		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
-	<classpathentry kind="con"
-		path="org.eclipse.pde.core.requiredPlugins" />
-	<classpathentry kind="src" path="src" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/commons-beanutils-1.9.2.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/commons-collections-3.2.2.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/commons-digester-1.8.1.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/commons-logging-1.2.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/commons-validator-1.5.0.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/java-rdfa-0.4.2.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/jena-core-2.11.2.jar"
-		sourcepath="/home/mdecorde/.m2/repository/org/apache/jena/jena-core/2.11.2/jena-core-2.11.2-sources.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/jena-iri-1.0.2.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/junit-3.8.1.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/log4j-1.2.17.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/odfdom-java-0.8.11-incubating.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/odfdom-java-0.8.7.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/org.odftoolkit.odfdom.converter.core-1.0.6.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/simple-odf-0.8.2-incubating.jar"
-		sourcepath="/home/mdecorde/.m2/repository/org/apache/odftoolkit/simple-odf/0.8.2-incubating/simple-odf-0.8.2-incubating-sources.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/slf4j-api-1.7.25.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/slf4j-log4j12-1.7.6.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/taglets-0.8.11-incubating.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/xercesImpl-2.9.1.jar" />
-	<classpathentry exported="true" kind="lib"
-		path="lib/xml-apis-1.3.04.jar" />
-	<classpathentry kind="output" path="bin" />
-</classpath>
\ No newline at end of file
+	<classpathentry exported="true" kind="lib" path="lib/simple-odf-0.9.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/odfdom-java-0.10.0-jar-with-dependencies.jar"/>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>
Index: TXM/trunk/org.txm.libs.office/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.office/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.office/META-INF/MANIFEST.MF	(revision 3628)
@@ -1,100 +1,14 @@
 Manifest-Version: 1.0
 Automatic-Module-Name: org.txm.libs.office
 Bundle-SymbolicName: org.txm.libs.office
-Export-Package: com.hp.hpl.jena,
- com.hp.hpl.jena.assembler,
- com.hp.hpl.jena.assembler.assemblers,
- com.hp.hpl.jena.assembler.exceptions,
- com.hp.hpl.jena.datatypes,
- com.hp.hpl.jena.datatypes.xsd,
- com.hp.hpl.jena.datatypes.xsd.impl,
- com.hp.hpl.jena.enhanced,
- com.hp.hpl.jena.graph,
- com.hp.hpl.jena.graph.compose,
- com.hp.hpl.jena.graph.impl,
- com.hp.hpl.jena.mem,
- com.hp.hpl.jena.n3,
- com.hp.hpl.jena.n3.turtle,
- com.hp.hpl.jena.n3.turtle.parser,
- com.hp.hpl.jena.ontology,
- com.hp.hpl.jena.ontology.impl,
- com.hp.hpl.jena.rdf.arp,
- com.hp.hpl.jena.rdf.arp.impl,
- com.hp.hpl.jena.rdf.arp.lang,
- com.hp.hpl.jena.rdf.arp.states,
- com.hp.hpl.jena.rdf.listeners,
- com.hp.hpl.jena.rdf.model,
- com.hp.hpl.jena.rdf.model.impl,
- com.hp.hpl.jena.reasoner,
- com.hp.hpl.jena.reasoner.rulesys,
- com.hp.hpl.jena.reasoner.rulesys.builtins,
- com.hp.hpl.jena.reasoner.rulesys.impl,
- com.hp.hpl.jena.reasoner.transitiveReasoner,
- com.hp.hpl.jena.shared,
- com.hp.hpl.jena.shared.impl,
- com.hp.hpl.jena.shared.uuid,
- com.hp.hpl.jena.shared.wg,
- com.hp.hpl.jena.util,
- com.hp.hpl.jena.util.cache,
- com.hp.hpl.jena.util.iterator,
- com.hp.hpl.jena.vocabulary,
- com.hp.hpl.jena.xmloutput,
- com.hp.hpl.jena.xmloutput.impl,
- javax.xml,
- javax.xml.datatype,
- javax.xml.namespace,
- javax.xml.parsers,
- javax.xml.transform,
- javax.xml.transform.dom,
- javax.xml.transform.sax,
- javax.xml.transform.stream,
- javax.xml.validation,
- javax.xml.xpath,
- jena,
- jena.cmdline,
- junit.awtui,
- junit.extensions,
- junit.framework,
- junit.runner,
- junit.swingui,
- junit.textui,
- net.rootdev.javardfa,
- net.rootdev.javardfa.jena,
- net.rootdev.javardfa.literal,
- net.rootdev.javardfa.output,
- net.rootdev.javardfa.query,
- net.rootdev.javardfa.uri,
- org.apache.commons.beanutils,
- org.apache.commons.beanutils.converters,
- org.apache.commons.beanutils.expression,
- org.apache.commons.beanutils.locale,
- org.apache.commons.beanutils.locale.converters,
- org.apache.commons.collections,
- org.apache.commons.collections.bag,
- org.apache.commons.collections.bidimap,
- org.apache.commons.collections.buffer,
- org.apache.commons.collections.collection,
- org.apache.commons.collections.comparators,
- org.apache.commons.collections.functors,
- org.apache.commons.collections.iterators,
- org.apache.commons.collections.keyvalue,
- org.apache.commons.collections.list,
- org.apache.commons.collections.map,
- org.apache.commons.collections.set,
- org.txm.libs.office
+Export-Package: org.txm.libs.office
 Bundle-Name: org.txm.libs.office
 Bundle-Version: 0.8.2.qualifier
-Bundle-ClassPath: lib/commons-beanutils-1.9.2.jar,lib/commons-collecti
- ons-3.2.2.jar,lib/commons-digester-1.8.1.jar,lib/commons-logging-1.2.
- jar,lib/commons-validator-1.5.0.jar,lib/java-rdfa-0.4.2.jar,lib/jena-
- core-2.11.2.jar,lib/jena-iri-1.0.2.jar,lib/junit-3.8.1.jar,lib/log4j-
- 1.2.17.jar,lib/odfdom-java-0.8.11-incubating.jar,lib/odfdom-java-0.8.
- 7.jar,lib/org.odftoolkit.odfdom.converter.core-1.0.6.jar,lib/simple-o
- df-0.8.2-incubating.jar,lib/slf4j-api-1.7.25.jar,lib/slf4j-log4j12-1.
- 7.6.jar,lib/taglets-0.8.11-incubating.jar,lib/xercesImpl-2.9.1.jar,li
- b/xml-apis-1.3.04.jar,.
+Bundle-ClassPath: .,
+ lib/odfdom-java-0.10.0-jar-with-dependencies.jar,
+ lib/simple-odf-0.9.0.jar
 Require-Bundle: org.apache.xerces;bundle-version="2.9.0"
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Apache ODF Toolkit (incubating)
 

Index: TXM/trunk/org.txm.libs.groovy-all/.classpath
===================================================================
--- TXM/trunk/org.txm.libs.groovy-all/.classpath	(revision 3627)
+++ TXM/trunk/org.txm.libs.groovy-all/.classpath	(revision 3628)
@@ -1,32 +1,69 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-ant-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-astbuilder-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-bsf-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-cli-commons-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-cli-picocli-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-console-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-datetime-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-dateutil-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-docgenerator-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-groovydoc-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-groovysh-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-jaxb-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-jmx-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-json-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-jsr223-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-macro-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-nio-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-servlet-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-sql-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-swing-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-templates-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-test-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-test-junit5-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-testng-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-xml-3.0.9-indy.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-yaml-3.0.9-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ant-1.10.12.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ant-antlr-1.10.12.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ant-junit-1.10.12.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ant-launcher-1.10.12.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/commons-cli-1.5.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/gpars-1.2.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-ant-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-astbuilder-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-cli-commons-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-cli-picocli-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-console-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-contracts-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-datetime-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-dateutil-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-docgenerator-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-ginq-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-groovydoc-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-groovysh-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-jmx-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-json-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-jsr223-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-macro-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-macro-library-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-nio-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-servlet-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-sql-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-swing-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-templates-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-test-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-test-junit5-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-testng-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-toml-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-typecheckers-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-xml-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-yaml-4.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/hamcrest-core-1.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/ivy-2.5.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jackson-annotations-2.13.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jackson-core-2.13.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jackson-databind-2.13.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jackson-dataformat-toml-2.13.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jackson-dataformat-yaml-2.13.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jansi-2.4.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/javaparser-core-3.24.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jcommander-1.78.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jline-2.14.6.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jquery-3.5.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/jsr166y-1.7.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/junit-4.13.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/junit-jupiter-api-5.8.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/junit-jupiter-engine-5.8.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/junit-platform-commons-1.8.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/junit-platform-engine-1.8.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/junit-platform-launcher-1.8.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/multiverse-core-0.7.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/mxparser-1.2.2.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/opentest4j-1.2.0.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/org.abego.treelayout.core-1.0.3.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/qdox-1.12.1.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/slf4j-api-1.7.32.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/snakeyaml-1.30.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/testng-7.5.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/xstream-1.4.19.jar"/>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
 	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
 	<classpathentry kind="output" path="bin"/>
Index: TXM/trunk/org.txm.libs.groovy-all/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.groovy-all/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.groovy-all/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,9 +10,10 @@
  groovy.console.ui,
  groovy.console.ui.text,
  groovy.console.ui.view,
+ groovy.contracts,
+ groovy.ginq.transform,
  groovy.grape,
  groovy.inspect,
- groovy.inspect.swingui,
  groovy.io,
  groovy.jmx,
  groovy.jmx.builder,
@@ -21,7 +22,6 @@
  groovy.lang,
  groovy.lang.groovydoc,
  groovy.mock.interceptor,
- groovy.model,
  groovy.namespace,
  groovy.security,
  groovy.servlet,
@@ -36,34 +36,21 @@
  groovy.text,
  groovy.text.markup,
  groovy.time,
+ groovy.toml,
  groovy.transform,
  groovy.transform.builder,
  groovy.transform.options,
  groovy.transform.stc,
+ groovy.typecheckers,
  groovy.ui,
- groovy.ui.text,
- groovy.ui.view,
  groovy.util,
  groovy.util.logging,
- groovy.util.slurpersupport,
  groovy.xml,
  groovy.xml.dom,
  groovy.xml.markupsupport,
  groovy.xml.slurpersupport,
  groovy.xml.streamingmarkupsupport,
  groovy.yaml,
- groovyjarjarantlr,
- groovyjarjarantlr.ASdebug,
- groovyjarjarantlr.actions.cpp,
- groovyjarjarantlr.actions.csharp,
- groovyjarjarantlr.actions.java,
- groovyjarjarantlr.actions.python,
- groovyjarjarantlr.build,
- groovyjarjarantlr.collections,
- groovyjarjarantlr.collections.impl,
- groovyjarjarantlr.debug,
- groovyjarjarantlr.debug.misc,
- groovyjarjarantlr.preprocessor,
  groovyjarjarantlr4.runtime,
  groovyjarjarantlr4.runtime.debug,
  groovyjarjarantlr4.runtime.misc,
@@ -96,12 +83,56 @@
  groovyjarjarasm.asm.tree,
  groovyjarjarasm.asm.util,
  groovyjarjarpicocli,
+ groovyx.gpars,
+ groovyx.gpars.activeobject,
+ groovyx.gpars.actor,
+ groovyx.gpars.actor.impl,
+ groovyx.gpars.agent,
+ groovyx.gpars.csp,
+ groovyx.gpars.csp.plugAndPlay,
+ groovyx.gpars.csp.util,
+ groovyx.gpars.dataflow,
+ groovyx.gpars.dataflow.expression,
+ groovyx.gpars.dataflow.impl,
+ groovyx.gpars.dataflow.operator,
+ groovyx.gpars.dataflow.operator.component,
+ groovyx.gpars.dataflow.stream,
+ groovyx.gpars.extra166y,
+ groovyx.gpars.forkjoin,
+ groovyx.gpars.group,
+ groovyx.gpars.memoize,
+ groovyx.gpars.pa,
+ groovyx.gpars.remote,
+ groovyx.gpars.remote.message,
+ groovyx.gpars.remote.netty,
+ groovyx.gpars.scheduler,
+ groovyx.gpars.serial,
+ groovyx.gpars.stm,
+ groovyx.gpars.util,
  org.apache.groovy.antlr,
  org.apache.groovy.ast.builder,
  org.apache.groovy.ast.tools,
+ org.apache.groovy.contracts,
+ org.apache.groovy.contracts.annotations.meta,
+ org.apache.groovy.contracts.ast,
+ org.apache.groovy.contracts.ast.visitor,
+ org.apache.groovy.contracts.classgen.asm,
+ org.apache.groovy.contracts.common.base,
+ org.apache.groovy.contracts.common.impl,
+ org.apache.groovy.contracts.common.impl.lc,
+ org.apache.groovy.contracts.common.spi,
+ org.apache.groovy.contracts.domain,
+ org.apache.groovy.contracts.generation,
+ org.apache.groovy.contracts.util,
  org.apache.groovy.datetime.extensions,
  org.apache.groovy.dateutil.extensions,
  org.apache.groovy.docgenerator,
+ org.apache.groovy.ginq,
+ org.apache.groovy.ginq.dsl,
+ org.apache.groovy.ginq.dsl.expression,
+ org.apache.groovy.ginq.provider.collection,
+ org.apache.groovy.ginq.provider.collection.runtime,
+ org.apache.groovy.ginq.transform,
  org.apache.groovy.groovydoc.tools,
  org.apache.groovy.groovysh,
  org.apache.groovy.groovysh.antlr4,
@@ -113,10 +144,11 @@
  org.apache.groovy.internal.metaclass,
  org.apache.groovy.internal.util,
  org.apache.groovy.io,
- org.apache.groovy.jaxb.extensions,
  org.apache.groovy.json,
  org.apache.groovy.json.internal,
+ org.apache.groovy.lang,
  org.apache.groovy.lang.annotation,
+ org.apache.groovy.macrolib,
  org.apache.groovy.metaclass,
  org.apache.groovy.nio.extensions,
  org.apache.groovy.nio.runtime,
@@ -131,25 +163,23 @@
  org.apache.groovy.swing.extensions,
  org.apache.groovy.test,
  org.apache.groovy.test.transform,
+ org.apache.groovy.toml.util,
+ org.apache.groovy.typecheckers,
  org.apache.groovy.util,
  org.apache.groovy.util.concurrent,
  org.apache.groovy.util.concurrent.concurrentlinkedhashmap,
  org.apache.groovy.xml.extensions,
  org.apache.groovy.xml.tools,
  org.apache.groovy.yaml.util,
+ org.codehaus.groovy,
  org.codehaus.groovy.ant,
  org.codehaus.groovy.antlr,
- org.codehaus.groovy.antlr.java,
- org.codehaus.groovy.antlr.parser,
- org.codehaus.groovy.antlr.treewalker,
  org.codehaus.groovy.ast,
  org.codehaus.groovy.ast.builder,
  org.codehaus.groovy.ast.decompiled,
  org.codehaus.groovy.ast.expr,
  org.codehaus.groovy.ast.stmt,
  org.codehaus.groovy.ast.tools,
- org.codehaus.groovy.binding,
- org.codehaus.groovy.bsf,
  org.codehaus.groovy.classgen,
  org.codehaus.groovy.classgen.asm,
  org.codehaus.groovy.classgen.asm.indy,
@@ -168,7 +198,6 @@
  org.codehaus.groovy.macro.methods,
  org.codehaus.groovy.macro.runtime,
  org.codehaus.groovy.macro.transform,
- org.codehaus.groovy.plugin,
  org.codehaus.groovy.reflection,
  org.codehaus.groovy.reflection.android,
  org.codehaus.groovy.reflection.stdclasses,
@@ -184,7 +213,6 @@
  org.codehaus.groovy.runtime.typehandling,
  org.codehaus.groovy.runtime.wrappers,
  org.codehaus.groovy.syntax,
- org.codehaus.groovy.testng,
  org.codehaus.groovy.tools,
  org.codehaus.groovy.tools.ast,
  org.codehaus.groovy.tools.groovydoc,
@@ -193,10 +221,7 @@
  org.codehaus.groovy.tools.gse,
  org.codehaus.groovy.tools.javac,
  org.codehaus.groovy.tools.shell,
- org.codehaus.groovy.tools.shell.commands,
- org.codehaus.groovy.tools.shell.completion,
  org.codehaus.groovy.tools.shell.util,
- org.codehaus.groovy.tools.xml,
  org.codehaus.groovy.transform,
  org.codehaus.groovy.transform.sc,
  org.codehaus.groovy.transform.sc.transformers,
@@ -205,43 +230,80 @@
  org.codehaus.groovy.transform.trait,
  org.codehaus.groovy.util,
  org.codehaus.groovy.vmplugin,
- org.codehaus.groovy.vmplugin.v5,
- org.codehaus.groovy.vmplugin.v6,
+ org.codehaus.groovy.vmplugin.v10,
+ org.codehaus.groovy.vmplugin.v16,
  org.codehaus.groovy.vmplugin.v7,
  org.codehaus.groovy.vmplugin.v8,
  org.codehaus.groovy.vmplugin.v9
 Bundle-Name: Groovy-all
 Bundle-Version: 3.0.9
 Bundle-ClassPath: .,
- lib/groovy-3.0.9-indy.jar,
- lib/groovy-ant-3.0.9-indy.jar,
- lib/groovy-astbuilder-3.0.9-indy.jar,
- lib/groovy-bsf-3.0.9-indy.jar,
- lib/groovy-cli-commons-3.0.9-indy.jar,
- lib/groovy-cli-picocli-3.0.9-indy.jar,
- lib/groovy-console-3.0.9-indy.jar,
- lib/groovy-datetime-3.0.9-indy.jar,
- lib/groovy-dateutil-3.0.9-indy.jar,
- lib/groovy-docgenerator-3.0.9-indy.jar,
- lib/groovy-groovydoc-3.0.9-indy.jar,
- lib/groovy-groovysh-3.0.9-indy.jar,
- lib/groovy-jaxb-3.0.9-indy.jar,
- lib/groovy-jmx-3.0.9-indy.jar,
- lib/groovy-json-3.0.9-indy.jar,
- lib/groovy-jsr223-3.0.9-indy.jar,
- lib/groovy-macro-3.0.9-indy.jar,
- lib/groovy-nio-3.0.9-indy.jar,
- lib/groovy-servlet-3.0.9-indy.jar,
- lib/groovy-sql-3.0.9-indy.jar,
- lib/groovy-swing-3.0.9-indy.jar,
- lib/groovy-templates-3.0.9-indy.jar,
- lib/groovy-test-3.0.9-indy.jar,
- lib/groovy-test-junit5-3.0.9-indy.jar,
- lib/groovy-testng-3.0.9-indy.jar,
- lib/groovy-xml-3.0.9-indy.jar,
- lib/groovy-yaml-3.0.9-indy.jar
+ lib/ant-1.10.12.jar,
+ lib/ant-antlr-1.10.12.jar,
+ lib/ant-junit-1.10.12.jar,
+ lib/ant-launcher-1.10.12.jar,
+ lib/commons-cli-1.5.0.jar,
+ lib/gpars-1.2.1.jar,
+ lib/groovy-4.0.3.jar,
+ lib/groovy-ant-4.0.3.jar,
+ lib/groovy-astbuilder-4.0.3.jar,
+ lib/groovy-cli-commons-4.0.3.jar,
+ lib/groovy-cli-picocli-4.0.3.jar,
+ lib/groovy-console-4.0.3.jar,
+ lib/groovy-contracts-4.0.3.jar,
+ lib/groovy-datetime-4.0.3.jar,
+ lib/groovy-dateutil-4.0.3.jar,
+ lib/groovy-docgenerator-4.0.3.jar,
+ lib/groovy-ginq-4.0.3.jar,
+ lib/groovy-groovydoc-4.0.3.jar,
+ lib/groovy-groovysh-4.0.3.jar,
+ lib/groovy-jmx-4.0.3.jar,
+ lib/groovy-json-4.0.3.jar,
+ lib/groovy-jsr223-4.0.3.jar,
+ lib/groovy-macro-4.0.3.jar,
+ lib/groovy-macro-library-4.0.3.jar,
+ lib/groovy-nio-4.0.3.jar,
+ lib/groovy-servlet-4.0.3.jar,
+ lib/groovy-sql-4.0.3.jar,
+ lib/groovy-swing-4.0.3.jar,
+ lib/groovy-templates-4.0.3.jar,
+ lib/groovy-test-4.0.3.jar,
+ lib/groovy-test-junit5-4.0.3.jar,
+ lib/groovy-testng-4.0.3.jar,
+ lib/groovy-toml-4.0.3.jar,
+ lib/groovy-typecheckers-4.0.3.jar,
+ lib/groovy-xml-4.0.3.jar,
+ lib/groovy-yaml-4.0.3.jar,
+ lib/hamcrest-core-1.3.jar,
+ lib/ivy-2.5.0.jar,
+ lib/jackson-annotations-2.13.3.jar,
+ lib/jackson-core-2.13.3.jar,
+ lib/jackson-databind-2.13.3.jar,
+ lib/jackson-dataformat-toml-2.13.3.jar,
+ lib/jackson-dataformat-yaml-2.13.3.jar,
+ lib/jansi-2.4.0.jar,
+ lib/javaparser-core-3.24.2.jar,
+ lib/jcommander-1.78.jar,
+ lib/jline-2.14.6.jar,
+ lib/jquery-3.5.1.jar,
+ lib/jsr166y-1.7.0.jar,
+ lib/junit-4.13.2.jar,
+ lib/junit-jupiter-api-5.8.2.jar,
+ lib/junit-jupiter-engine-5.8.2.jar,
+ lib/junit-platform-commons-1.8.2.jar,
+ lib/junit-platform-engine-1.8.2.jar,
+ lib/junit-platform-launcher-1.8.2.jar,
+ lib/multiverse-core-0.7.0.jar,
+ lib/mxparser-1.2.2.jar,
+ lib/opentest4j-1.2.0.jar,
+ lib/org.abego.treelayout.core-1.0.3.jar,
+ lib/qdox-1.12.1.jar,
+ lib/slf4j-api-1.7.32.jar,
+ lib/snakeyaml-1.30.jar,
+ lib/testng-7.5.jar,
+ lib/xstream-1.4.19.jar
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.libs.groovy-all
 
Index: TXM/trunk/org.txm.conllu.core/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.conllu.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3627)
+++ TXM/trunk/org.txm.conllu.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3628)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=30
+groovy.compiler.level=40
 groovy.script.filters=**/*.dsld,y,**/*.gradle,n
Index: TXM/trunk/org.txm.conllu.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.conllu.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.conllu.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -12,6 +12,6 @@
  org.txm.libs.deptreeviz;bundle-version="0.3.0";visibility:=reexport,
  org.txm.tigersearch.core;bundle-version="1.0.0"
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
-
+Eclipse-BundleShape: dir

